<?php

/**
 * @copyright	Copyright (C) 2005 - 2012 Open Source Matters, Inc. All rights reserved.
 * @license		GNU General Public License version 2 or later; see LICENSE.txt
 */

// No direct access
defined('_JEXEC') or die;


class plgVmPaymentSlogin extends JPlugin {

    function plgVmDisplayLogin (VirtuemartViewUser $user, &$html, $from_cart = FALSE) {

        // only to display it in the cart, not in list orders view
        if (!$from_cart)
        {
            return NULL;
        }

        $doc = JFactory::getDocument();
        $doc->addScript(JUri::root().'plugins/vmpayment/slogin/media/slogin.js');
        $doc->addStyleSheet(JUri::root().'plugins/vmpayment/slogin/tpl/compact/slogin.css');

        $app = JFactory::getApplication();
        $return = base64_encode(JUri::current());
        $app->setUserState('com_slogin.after_reg_redirect', $return);
        $app->setUserState('com_slogin.return', $return);

        $callbackUrl = '';

        $config = JComponentHelper::getParams('com_slogin');

        if($config->get('service_auth', 0))
        {
            require_once JPATH_ROOT . '/components/com_slogin/helpers/providers.php';
            $plugins = SloginProvidersHelper::loadProviderLinks($callbackUrl);
        }
        else
        {
            $dispatcher	= JDispatcher::getInstance();
            JPluginHelper::importPlugin('slogin_auth');
            $plugins = array();
            $dispatcher->trigger('onCreateSloginLink', array(&$plugins, $callbackUrl));
        }

        ob_start();
        require(__DIR__.'/tpl/compact.php');
        $slogin = ob_get_clean();

        $html .= $slogin;

    }
}
